'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.toShorthand = toShorthand;
exports.toLonghand = toLonghand;
exports.isHex = isHex;

function toShorthand(hex) {
    if (hex.length === 7 && hex[1] === hex[2] && hex[3] === hex[4] && hex[5] === hex[6]) {
        return '#' + hex[2] + hex[4] + hex[6];
    }
    return hex;
}

;

function toLonghand(hex) {
    if (hex.length !== 4) {
        return hex;
    }

    var h = hex.substring(1);
    var r = h[0];
    var g = h[1];
    var b = h[2];
    return '#' + r + r + g + g + b + b;
}

;

function isHex(hex) {
    if (hex[0] === '#') {
        var c = toLonghand(hex).substring(1);
        return c.length === 6 && !isNaN(parseInt(c, 16));
    }
    return false;
}